# jpeg_enc_context_t Struct Reference

`#include <v4l2_backend_test.h>`

List of all members.

## Public Attributes

pthread_mutex_t | queue_lock
NvJPEGEncoder * | JpegEnc
unsigned char * | pbuf
long unsigned int | buf_size
char | filename [512]

## Detailed Description

Definition at line 207 of file v4l2_backend_test.h.

## Member Data Documentation

long unsigned int jpeg_enc_context_t::buf_size

Definition at line 212 of file v4l2_backend_test.h.

char jpeg_enc_context_t::filename[512]

Definition at line 213 of file v4l2_backend_test.h.

NvJPEGEncoder* jpeg_enc_context_t::JpegEnc

Definition at line 210 of file v4l2_backend_test.h.

unsigned char* jpeg_enc_context_t::pbuf

Definition at line 211 of file v4l2_backend_test.h.

pthread_mutex_t jpeg_enc_context_t::queue_lock

Definition at line 209 of file v4l2_backend_test.h.

The documentation for this struct was generated from the following file:

- samples/backend/v4l2_backend_test.h